Skip to content
GitLab
Explore
Sign in
Primary navigation
Search or go to…
Project
Z
zmap
Manage
Activity
Members
Labels
Plan
Issues
0
Issue boards
Milestones
Iterations
Wiki
Requirements
Jira
Code
Merge requests
0
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Locked files
Build
Pipelines
Jobs
Pipeline schedules
Test cases
Artifacts
Deploy
Releases
Package Registry
Container Registry
Operate
Environments
Terraform modules
Monitor
Incidents
Service Desk
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Code review analytics
Issue analytics
Insights
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Terms and privacy
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
ensembl-gh-mirror
zmap
Commits
98c15d01
Commit
98c15d01
authored
16 years ago
by
rds
Browse files
Options
Downloads
Patches
Plain Diff
Single script to run the whole build suite for development purposes
parent
8de57fc5
No related branches found
Branches containing commit
No related tags found
Tags containing commit
No related merge requests found
Changes
1
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
scripts/zmap_developer.sh
+58
-0
58 additions, 0 deletions
scripts/zmap_developer.sh
with
58 additions
and
0 deletions
scripts/zmap_developer.sh
0 → 100755
+
58
−
0
View file @
98c15d01
#!/bin/bash
# ================= README ==================
# This is a development version of zmap_overnight.sh that can be run
# to test the build.
# ================== CONFIG ==================
# Configuring variables
SRC_MACHINE
=
tviewsrv
# For development make sure these are set
CVS_CHECKOUT_SCRIPT
=
./build_bootstrap.sh
HOSTNAME
=
$(
hostname
)
SCRIPT_DIR
=
$(
pwd
)
(
cat
<<
EOF
#!/bin/echo Generated by
$0
echo Development script, Not for production!
ZMAP_MASTER_BUILD_DEVELOPMENT_DIR=
$HOSTNAME
:
$SCRIPT_DIR
EOF
)
| ssh
$SRC_MACHINE
'/bin/bash -c "cat - > /var/tmp/root_develop.sh"'
# ================== MAIN PART ==================
# A one step copy, run, cleanup!
# The /bin/kill -9 -$$; line is there to make sure no processes are left behind if the
# root_checkout.sh looses one... In testing, but appears kill returns non-zero in $?
# actually it's probably the bash process returning the non-zero, but the next test
# appears to succeed if we enter _rm_exit(), which is what we want.
echo
"Enter zmap password at prompt."
cat
$CVS_CHECKOUT_SCRIPT
| ssh zmap@
$SRC_MACHINE
'/bin/bash -c "\
function _rm_exit \
{ \
echo Master Script Failed...; \
rm -f root_checkout.sh; \
/bin/kill -9 -$$; \
exit 1; \
}; \
cd /var/tmp || exit 1; \
rm -f root_checkout.sh || exit 1; \
cat - > root_checkout.sh || exit 1; \
chmod 755 root_checkout.sh || _rm_exit; \
: Change the variables in next line ; \
./root_checkout.sh RELEASE_LOCATION=~/BUILDS/OVERNIGHT ZMAP_MASTER_RT_TO_CVS=no || _rm_exit; \
: ; \
rm -f root_checkout.sh || exit 1; \
"'
2>&1
ssh
$SRC_MACHINE
'rm -f /var/tmp/root_develop.sh'
# ================== END OF SCRIPT ==================
This diff is collapsed.
Click to expand it.
Preview
0%
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment